[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Update: sysutils/nut



Hi all,

Attached is an update to Nut, the Network UPS Tools.  I've talked to
nate@ and he's OK with me taking over as MAINTAINER.

This is a substantial update from the in-tree 0.44.2 to 1.0.0.

The port has also been fully redone.  The CGIs are now a subpackage that
can be installed separately from the main Nut port and will work with
our chrooted Apache.

Please test and let me know.

Marc


Index: Makefile
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- Makefile	9 Apr 2002 16:20:12 -0000	1.6
+++ Makefile	11 Oct 2002 23:54:52 -0000
@@ -1,57 +1,71 @@
-# $OpenBSD: Makefile,v 1.6 2002/04/09 16:20:12 naddy Exp $
+# $OpenBSD$
 
-COMMENT=	"UPS monitoring program supporting many brands"
+COMMENT=		"UPS monitoring program supporting many brands"
+COMMENT-cgi=		"CGIs for monitoring Nut-based UPSs"
 
-DISTNAME=	nut-0.44.2
-CATEGORIES=	sysutils
-NEED_VERSION=	1.402
-HOMEPAGE=	http://www.exploits.org/nut/
-MASTER_SITES=	${HOMEPAGE}release/
+VERSION=		1.0.0
+DISTNAME=		nut-${VERSION}
+PKGNAME-cgi=		nut-cgi-${VERSION}
+CATEGORIES=		sysutils
 
-MAINTAINER=	Nathan Binkert <nate_(_at_)_openbsd_(_dot_)_org>
+HOMEPAGE=		http://www.exploits.org/nut/
 
+MAINTAINER=		Marc Matteo <marcm_(_at_)_openbsd_(_dot_)_org>
+
+# GPL
 PERMIT_PACKAGE_CDROM=	Yes
 PERMIT_PACKAGE_FTP=	Yes
 PERMIT_DISTFILES_CDROM=	Yes
 PERMIT_DISTFILES_FTP=	Yes
 
-FLAVORS=	cgi
-FLAVOR?=
+MASTER_SITES=		${HOMEPAGE}release/
 
-.if ${FLAVOR:L} == "cgi"
-LIB_DEPENDS=	gd.18::graphics/gd
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib" \
-		CFLAGS="${CFLAGS} -I${LOCALBASE}/include -L${LOCALBASE}/lib"
-.endif
+FAKE_FLAGS=		INSTALLROOT="${WRKINST}"
 
-CONFIGURE_STYLE= gnu old
-CONFIGURE_ARGS= --sysconfdir="${SYSCONFDIR}/nut" \
-		--mandir="${PREFIX}/man" \
-		--with-modelpath="${PREFIX}/sbin" \
-		--with-statepath="/var/db"
-.if ${FLAVOR:L} == "cgi"
-CONFIGURE_ARGS+= --with-cgipath="${PREFIX}/libexec/nut"
-.endif
+CGI_CFG=		hosts.conf multimon.conf upsset.conf
+WEB_ROOT=		/var/www
+SYSCONFDIR=		/etc/nut
+CONFIGURE_STYLE=	autoconf
+CONFIGURE_ARGS+=	--with-statepath="/var/db/nut"
+CONFIGURE_ARGS+=	--with-user=uucp
+CONFIGURE_ARGS+=	--with-group=dialer
 
-FAKE_FLAGS=	INSTALLROOT="${WRKINST}"
+PSEUDO_FLAVORS=		no_cgi
+FLAVOR?=
+MULTI_PACKAGES=
+.if !${FLAVOR:L:Mno_cgi}
+MULTI_PACKAGES+=	-cgi
+.endif
+SUBPACKAGE?=
 
-.if ${FLAVOR:L} == "cgi"
-ALL_TARGET=	all cgi
-INSTALL_TARGET=	install install-cgi
+.if defined(PACKAGING)
+. if ${SUBPACKAGE} == "-cgi"
+PREFIX=			${WEB_ROOT}
+LIB_DEPENDS+=		gd.18::graphics/gd
+. endif
+.else
+. if ${MULTI_PACKAGES:M-cgi}
+CONFIGURE_ARGS+=	--with-cgi
+CONFIGURE_ARGS+=	--with-cgipath="${WEB_ROOT}/cgi-bin/nut"
+CONFIGURE_ENV=		CPPFLAGS="-I${LOCALBASE}/include" \
+			LDFLAGS="-L${LOCALBASE}/lib" \
+			CFLAGS="${CFLAGS} -I${LOCALBASE}/include -L${LOCALBASE}/lib"
+
+ALL_TARGET=		all cgi
+INSTALL_TARGET=		install install-cgi
+. endif
 .endif
 
 post-install:
 	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/nut
-	${INSTALL_DATA_DIR} ${PREFIX}/share/doc/nut/cables
-	${INSTALL_DATA} ${FILESDIR}/README.OpenBSD ${PREFIX}/share/doc/nut
-	@for i in ${WRKSRC}/docs/* ; do \
-		if [ -f "$$i" ]; then \
-			${INSTALL_DATA} $$i ${PREFIX}/share/doc/nut ; \
-		fi \
-	done
-	@for i in ${WRKSRC}/docs/cables/* ; do \
-		${INSTALL_DATA} $$i ${PREFIX}/share/doc/nut/cables ; \
-	done
+	cp -R ${WRKSRC}/docs/* ${PREFIX}/share/doc/nut/
+# Yes, we install the CGI config files even if we're not building CGI support,
+# it will get properly handled by the packaging.
+	${INSTALL_DATA_DIR} ${WRKINST}${WEB_ROOT}/conf/nut
+.for file in ${CGI_CFG}
+	mv ${WRKINST}/${SYSCONFDIR}/${file}.sample ${WRKINST}${WEB_ROOT}/conf/nut/
+.endfor
+	@${INSTALL_DATA_DIR} ${PREFIX}/share/examples/nut; \
+	cp -Rp ${WRKINST}/${SYSCONFDIR}/* ${PREFIX}/share/examples/nut/
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- distinfo	21 Mar 2002 20:20:52 -0000	1.1
+++ distinfo	30 Sep 2002 03:15:29 -0000
@@ -1,3 +1,3 @@
-MD5 (nut-0.44.2.tar.gz) = e426128d0a203b6d3dd5f641c2b17fd0
-RMD160 (nut-0.44.2.tar.gz) = b02b94eb20f8c2c57c467e85dcbd1f3d1e1f29b1
-SHA1 (nut-0.44.2.tar.gz) = 3163fe71ba498700b3e23fcd2350e2fb6ebf88c8
+MD5 (nut-1.0.0.tar.gz) = 653c7d90eb44c57f77423baed2b9a5f4
+RMD160 (nut-1.0.0.tar.gz) = 95d25141e0395059fa4e1be809bc6082bd781327
+SHA1 (nut-1.0.0.tar.gz) = 980d236759244a6af8c35445ef992da23babf9ce
Index: files/README.OpenBSD
===================================================================
RCS file: files/README.OpenBSD
diff -N files/README.OpenBSD
--- files/README.OpenBSD	22 May 2001 18:13:15 -0000	1.2
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,39 +0,0 @@
-Using nut package in OpenBSD environment:
-
-1. Edit /etc/rc.conf.local file:
-   ...
-   nut_upshost="localhost"	# name of host to connect to for ups status
-   nut_upstype="bestpower"	# name of your ups (corresponds to progname)
-   nut_upsflags=""		# flags for your ups
-   nut_upsdev="/dev/cua01"	# device ups is attached to
-   nut_log="/var/log/ups.log"	# logfile name if logging
-   nut_loginterval="300"	# logging interval if logging
-   ...
-   nut_upsd=NO		# run the nut upsd
-   nut_upsmon=NO	# run ups monitoring
-   nut_upslog=NO	# run ups logging
-   ...
-
-2. Edit /etc/rc.local file:
-   echo -n 'starting local daemons:'
-   ...
-   if [ X"${nut_upsd}" = X"YES" -a -f /etc/nut/upsd.conf \
-        -a -x /usr/local/sbin/$nut_upstype -a -x /usr/local/sbin/upsd ]; then
-       echo -n ' upsd'
-       /usr/local/sbin/$nut_upstype $nut_upsflags $nut_upsdev
-       /usr/local/sbin/upsd
-   fi
-   if [ X"${nut_upsmon}" = X"YES" -a -f /etc/nut/upsmon.conf \
-        -a -x /usr/local/sbin/upsmon ]; then
-       echo -n ' upsmon'
-       /usr/local/sbin/upsmon $nut_upshost
-   fi
-   if [ X"${nut_upslog}" = X"YES" -a -x /usr/local/bin/upslog ]; then
-       echo -n ' upslog'
-       /usr/local/bin/upslog $nut_upshost $nut_log $nut_loginterval
-   fi
-   ...
-   echo '.'
-
-
-$OpenBSD: README.OpenBSD,v 1.2 2001/05/22 18:13:15 nate Exp $
Index: patches/patch-Makefile.in
===================================================================
RCS file: patches/patch-Makefile.in
diff -N patches/patch-Makefile.in
--- patches/patch-Makefile.in	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,24 +0,0 @@
-$OpenBSD: patch-Makefile.in,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
-Don't install the CGI directory unless we're actually installing the CGIs
-
---- Makefile.in.orig	Fri Dec 22 13:40:24 2000
-+++ Makefile.in	Wed Jan 31 23:33:44 2001
-@@ -5,7 +5,7 @@
- BASEPATH    = $(INSTALLROOT)@prefix@
- CONFPATH    = $(INSTALLROOT)@sysconfdir@
- CGIPATH     = $(INSTALLROOT)@CGIPATH@
--INSTALLDIRS = $(CONFPATH) $(CGIPATH) $(MODELPATH) $(BASEPATH)/@bindir@  $(BASEPATH)/@sbindir@ $(BASEPATH)/misc
-+INSTALLDIRS = $(CONFPATH) $(MODELPATH) $(BASEPATH)/@bindir@  $(BASEPATH)/@sbindir@
- STATEPATH   = $(INSTALLROOT)@STATEPATH@
- 
- SUBDIRS	= common models server clients man
-@@ -62,6 +62,9 @@
- 	@cd clients; $(MAKE) cgi; cd ..;
- 
- install-cgi: install-dirs 
-+	@if (test ! -d $(CGIPATH)) then \
-+		$(INSTALLCMD) -d $(CGIPATH) || exit 1; \
-+	fi
- 	@cd conf; $(MAKE) install; cd ..;
- 	@cd clients; $(MAKE) install-cgi; cd ..;
- 
Index: patches/patch-Makefile_in
===================================================================
RCS file: patches/patch-Makefile_in
diff -N patches/patch-Makefile_in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-Makefile_in	30 Sep 2002 16:24:30 -0000
@@ -0,0 +1,20 @@
+$OpenBSD$
+--- Makefile.in.orig	Mon Sep 30 09:23:54 2002
++++ Makefile.in	Mon Sep 30 09:24:21 2002
+@@ -65,6 +65,7 @@ install-dirs:
+ 
+ install-man:
+ 	@cd man; $(MAKE) install; cd ..;
++	@cd man; $(MAKE) install-cgi-man; cd ..;
+ 
+ # the target changes based on whether you did configure --with-cgi or not
+ cgi: @CGI_BUILD_TARGET@
+@@ -76,7 +77,7 @@ build-cgi-fake:
+ build-cgi:
+ 	@cd clients; $(MAKE) cgi; cd ..;
+ 
+-install-cgi: install-dirs install-cgi-man
++install-cgi: install-dirs
+ 	if (test ! -d $(CGIPATH)) then \
+ 		./install-sh -d $(CGIPATH) || exit 1; \
+ 	fi \
Index: patches/patch-clients_Makefile_in
===================================================================
RCS file: patches/patch-clients_Makefile_in
diff -N patches/patch-clients_Makefile_in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-clients_Makefile_in	1 Oct 2002 05:01:23 -0000
@@ -0,0 +1,24 @@
+$OpenBSD$
+--- clients/Makefile.in.orig	Sat Jun  8 02:09:09 2002
++++ clients/Makefile.in	Mon Sep 30 22:01:28 2002
+@@ -51,16 +51,16 @@ cgilib.o: cgilib.c
+ 	$(CC) $(CFLAGS) -c cgilib.c
+ 
+ multimon.cgi: multimon.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBDEP)
+-	$(CC) $(CFLAGS) -o multimon.cgi multimon.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBOBJ)
++	$(CC) $(CFLAGS) -o multimon.cgi multimon.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBOBJ) -static
+ 
+ upsset.cgi: upsset.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBDEP)
+-	$(CC) $(CFLAGS) -o upsset.cgi upsset.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBOBJ)
++	$(CC) $(CFLAGS) -o upsset.cgi upsset.c upsfetch.o cgilib.o ../common/parseconf.o $(LIBOBJ) -static
+ 
+ upsstats.cgi: upsstats.c upsfetch.o cgilib.o $(LIBDEP)
+-	$(CC) $(CFLAGS) -o upsstats.cgi upsstats.c upsfetch.o cgilib.o $(LIBOBJ)
++	$(CC) $(CFLAGS) -o upsstats.cgi upsstats.c upsfetch.o cgilib.o $(LIBOBJ) -static
+ 
+ upsimage.cgi: upsimage.c upsfetch.o cgilib.o $(LIBDEP)
+-	$(CC) $(CFLAGS) -o upsimage.cgi upsimage.c upsfetch.o cgilib.o @GFXLIBS@ -lm $(LIBOBJ)
++	$(CC) $(CFLAGS) -o upsimage.cgi upsimage.c upsfetch.o cgilib.o @GFXLIBS@ -lm $(LIBOBJ) -lgd -static
+ 
+ clean:
+ 	rm -f *~ *.o $(PROGS) $(SPROGS) $(CGIPROGS)
Index: patches/patch-clients_cgilib_c
===================================================================
RCS file: patches/patch-clients_cgilib_c
diff -N patches/patch-clients_cgilib_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-clients_cgilib_c	30 Sep 2002 17:40:30 -0000
@@ -0,0 +1,12 @@
+$OpenBSD$
+--- clients/cgilib.c.orig	Mon Sep 30 10:39:14 2002
++++ clients/cgilib.c	Mon Sep 30 10:40:24 2002
+@@ -147,7 +147,7 @@ int checkhost(char *check, char **desc)
+ 	if (!check)
+ 		return 0;		/* deny null hostnames */
+ 
+-	snprintf(fn, sizeof(fn), "%s/hosts.conf", CONFPATH);
++	snprintf(fn, sizeof(fn), "%s/hosts.conf", CGICONFPATH);
+ 	hostlist = fopen(fn, "r");
+ 
+ 	if (hostlist == NULL)
Index: patches/patch-clients_multimon_c
===================================================================
RCS file: patches/patch-clients_multimon_c
diff -N patches/patch-clients_multimon_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-clients_multimon_c	30 Sep 2002 17:59:05 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+--- clients/multimon.c.orig	Mon Sep 30 10:58:30 2002
++++ clients/multimon.c	Mon Sep 30 10:58:43 2002
+@@ -323,7 +323,7 @@ static void readconf(void)
+ {
+ 	char	fn[SMALLBUF];
+ 
+-	snprintf(fn, sizeof(fn), "%s/multimon.conf", CONFPATH);
++	snprintf(fn, sizeof(fn), "%s/multimon.conf", CGICONFPATH);
+ 	parseconf(fn, multimon_conf_args, multimon_conf_error);
+ }
+ 
+@@ -376,7 +376,7 @@ static void do_hosts(void)
+ {
+ 	char	fn[SMALLBUF];
+ 
+-	snprintf(fn, sizeof(fn), "%s/hosts.conf", CONFPATH);
++	snprintf(fn, sizeof(fn), "%s/hosts.conf", CGICONFPATH);
+ 	parseconf(fn, hosts_conf_args, hosts_conf_error);
+ }
+ 
Index: patches/patch-clients_upsset_c
===================================================================
RCS file: patches/patch-clients_upsset_c
diff -N patches/patch-clients_upsset_c
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-clients_upsset_c	30 Sep 2002 17:40:29 -0000
@@ -0,0 +1,21 @@
+$OpenBSD$
+--- clients/upsset.c.orig	Mon Sep 30 10:39:06 2002
++++ clients/upsset.c	Mon Sep 30 10:40:09 2002
+@@ -290,7 +290,7 @@ void do_pickups(char *currfunc)
+ 	char	hostfn[SMALLBUF];
+ 	int	ret;
+ 
+-	snprintf(hostfn, sizeof(hostfn), "%s/hosts.conf", CONFPATH);
++	snprintf(hostfn, sizeof(hostfn), "%s/hosts.conf", CGICONFPATH);
+ 
+ 	printf("<FORM METHOD=\"POST\" ACTION=\"upsset.cgi\">\n");
+ 
+@@ -1042,7 +1042,7 @@ static void check_conf(void)
+ 	char	fn[SMALLBUF];
+ 	int	ret;
+ 
+-	snprintf(fn, sizeof(fn), "%s/upsset.conf", CONFPATH);
++	snprintf(fn, sizeof(fn), "%s/upsset.conf", CGICONFPATH);
+ 
+ 	ret = parseconf(fn, upsset_conf_arg, upsset_conf_err);
+ 
Index: patches/patch-conf-Makefile.in
===================================================================
RCS file: patches/patch-conf-Makefile.in
diff -N patches/patch-conf-Makefile.in
--- patches/patch-conf-Makefile.in	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,36 +0,0 @@
-$OpenBSD: patch-conf-Makefile.in,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
-Fix up makefile so that config files go where we need them.
-
---- conf/Makefile.in.orig	Sun May  7 17:17:20 2000
-+++ conf/Makefile.in	Sun Jan  7 01:03:34 2001
-@@ -2,7 +2,7 @@
-  
- prefix = @prefix@
- BASEPATH = $(INSTALLROOT)@prefix@
--CONFPATH = $(INSTALLROOT)@sysconfdir@
-+CONFPATH = $(INSTALLROOT)@prefix@/share/examples/nut
- INSTALLCMD = @INSTALL@
- 
- SECFILES = upsmon.conf upsd.conf upsset.passwd
-@@ -12,18 +12,7 @@ all:
- clean:
- 
- install:
--	@for f in $(SECFILES) ; do \
--		if [ -f $(CONFPATH)/$$f ]; then \
--			echo "Preserving existing config file: $$f"; \
--		else \
--			$(INSTALLCMD) -m 0600 $$f $(CONFPATH); \
--		fi; \
--	done
--
--	@for f in $(PUBFILES) ; do \
--		if [ -f $(CONFPATH)/$$f ]; then \
--			echo "Preserving existing config file: $$f"; \
--		else \
--			$(INSTALLCMD) -m 0644 $$f $(CONFPATH); \
--		fi; \
-+	$(INSTALLCMD) -d -m 0755 $(CONFPATH)
-+	@for f in $(SECFILES) $(PUBFILES) ; do \
-+		$(INSTALLCMD) -m 0644 $$f $(CONFPATH)/$$f.sample; \
- 	done
Index: patches/patch-configure
===================================================================
RCS file: patches/patch-configure
diff -N patches/patch-configure
--- patches/patch-configure	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,77 +0,0 @@
-$OpenBSD: patch-configure,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
-We also need libjpeg to be able to compile this program.
-
---- configure.orig	Fri Dec 22 13:46:51 2000
-+++ configure	Thu Feb  1 00:16:00 2001
-@@ -1819,7 +1819,7 @@
-   echo $ac_n "(cached) $ac_c" 1>&6
- else
-   ac_save_LIBS="$LIBS"
--LIBS="-lgd -lm -lpng -lz $LIBS"
-+LIBS="-lgd -lm -ljpeg -lpng -lz $LIBS"
- cat > conftest.$ac_ext <<EOF
- #line 1825 "configure"
- #include "confdefs.h"
-@@ -1848,7 +1848,7 @@
- if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
-   echo "$ac_t""yes" 1>&6
-   
--	GFXLIBS="-lgd -lpng -lz"
-+	GFXLIBS="-lgd -ljpeg -lpng -lz"
- 
- else
-   echo "$ac_t""no" 1>&6
-@@ -1863,7 +1863,7 @@
-   echo $ac_n "(cached) $ac_c" 1>&6
- else
-   ac_save_LIBS="$LIBS"
--LIBS="-lgd -lm -lpng -lz $LIBS"
-+LIBS="-lgd -lm -ljpeg -lpng -lz $LIBS"
- cat > conftest.$ac_ext <<EOF
- #line 1869 "configure"
- #include "confdefs.h"
-@@ -1892,7 +1892,7 @@
- if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
-   echo "$ac_t""yes" 1>&6
-   
--		GFXLIBS="-lgd -lpng -lz -L/usr/local/lib -I/usr/local/include"
-+		GFXLIBS="-lgd -ljpeg -lpng -lz -L/usr/local/lib -I/usr/local/include"
- 	
- else
-   echo "$ac_t""no" 1>&6
-@@ -1914,7 +1914,7 @@
-   echo $ac_n "(cached) $ac_c" 1>&6
- else
-   ac_save_LIBS="$LIBS"
--LIBS="-lgd -lm -lpng -lz $LIBTTF $LIBS"
-+LIBS="-lgd -lm -ljpeg -lpng -lz $LIBTTF $LIBS"
- cat > conftest.$ac_ext <<EOF
- #line 1920 "configure"
- #include "confdefs.h"
-@@ -1943,7 +1943,7 @@
- if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
-   echo "$ac_t""yes" 1>&6
-   
--                GFXLIBS="-lgd -lpng -lz $LIBTTF"
-+                GFXLIBS="-lgd -ljpeg -lpng -lz $LIBTTF"
-         
- else
-   echo "$ac_t""no" 1>&6
-@@ -1963,7 +1963,7 @@
-   echo $ac_n "(cached) $ac_c" 1>&6
- else
-   ac_save_LIBS="$LIBS"
--LIBS="-lgd -lm -lpng -lz $LIBTTF $LIBXPM $LIBS"
-+LIBS="-lgd -lm -ljpeg -lpng -lz $LIBTTF $LIBXPM $LIBS"
- cat > conftest.$ac_ext <<EOF
- #line 1969 "configure"
- #include "confdefs.h"
-@@ -1992,7 +1992,7 @@
- if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
-   echo "$ac_t""yes" 1>&6
-   
--                GFXLIBS="-lgd -lpng -lz $LIBTTF $LIBXPM"
-+                GFXLIBS="-lgd -ljpeg -lpng -lz $LIBTTF $LIBXPM"
-         
- else
-   echo "$ac_t""no" 1>&6
Index: patches/patch-configure.in
===================================================================
RCS file: patches/patch-configure.in
diff -N patches/patch-configure.in
--- patches/patch-configure.in	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,59 +0,0 @@
-$OpenBSD: patch-configure.in,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
-We also need libjpeg to be able to compile this program.
-
---- configure.in.orig	Thu Feb  1 00:14:21 2001
-+++ configure.in	Thu Feb  1 00:15:31 2001
-@@ -129,7 +129,7 @@
- 
- AC_CHECK_LIB(gd, gdImagePng,
- [
--	GFXLIBS="-lgd -lpng -lz"
-+	GFXLIBS="-lgd -ljpeg -lpng -lz"
- ],
- [
- 	echo "Trying again - using -L/usr/local/lib -I/usr/local/include..."
-@@ -137,13 +137,13 @@
- 	CPPFLAGS="$CPPFLAGS -L/usr/local/lib -I/usr/local/include"
- 	AC_CHECK_LIB(gd, gdImagePng,
- 	[
--		GFXLIBS="-lgd -lpng -lz -L/usr/local/lib -I/usr/local/include"
-+		GFXLIBS="-lgd -ljpeg -lpng -lz -L/usr/local/lib -I/usr/local/include"
- 	],
- 	[
- 	],
--	[-lm -lpng -lz])
-+	[-lm -ljpeg -lpng -lz])
- ],
--[-lm -lpng -lz],
-+[-lm -ljpeg -lpng -lz],
- )
- 
- if test "$GFXLIBS" = "" ; then
-@@ -151,11 +151,11 @@
-         unset ac_cv_lib_gd_gdImagePng
-         AC_CHECK_LIB(gd, gdImagePng,
-         [
--                GFXLIBS="-lgd -lpng -lz $LIBTTF"
-+                GFXLIBS="-lgd -ljpeg -lpng -lz $LIBTTF"
-         ],
-         [
-         ],
--        [-lm -lpng -lz $LIBTTF])
-+        [-lm -ljpeg -lpng -lz $LIBTTF])
- fi
- 
- if test "$GFXLIBS" = "" ; then
-@@ -163,11 +163,11 @@
-         unset ac_cv_lib_gd_gdImagePng
-         AC_CHECK_LIB(gd, gdImagePng,
-         [
--                GFXLIBS="-lgd -lpng -lz $LIBTTF $LIBXPM"
-+                GFXLIBS="-lgd -ljpeg -lpng -lz $LIBTTF $LIBXPM"
-         ],
-         [
-         ],
--        [-lm -lpng -lz $LIBTTF $LIBXPM])
-+        [-lm -ljpeg -lpng -lz $LIBTTF $LIBXPM])
- fi
- 
- test "$GFXLIBS" = ""  && echo "** You will not be able to build the CGI programs without gd."
Index: patches/patch-configure_in
===================================================================
RCS file: patches/patch-configure_in
diff -N patches/patch-configure_in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-configure_in	30 Sep 2002 03:15:29 -0000
@@ -0,0 +1,22 @@
+$OpenBSD$
+--- configure.in.orig	Sat Sep 28 07:53:50 2002
++++ configure.in	Sat Sep 28 07:57:27 2002
+@@ -233,7 +233,17 @@ dnl 
+ 		        [
+ 				GFXLIBS="-lgd -lpng -lz $LIBTTF $LIBXPM"
+ 		        ],,
+-	        [-lm -lpng -lz $LIBTTF $LIBXPM])
++		        [-lm -lpng -lz $LIBTTF $LIBXPM])
++		fi
++
++		if test "$GFXLIBS" = "" ; then
++			echo "Fine then... sheesh, trying again using $LIBTTF -ljpeg"
++			unset ac_cv_lib_gd_gdImagePng
++			AC_CHECK_LIB(gd, gdImagePng,
++			[
++				GFXLIBS="-lgd -lpng -lz $LIBTTF -ljpeg"
++			],,
++			[-lgd -lpng -lz $LIBTTF -ljpeg])
+ 		fi
+ 	fi
+ 
Index: patches/patch-include_config_h_in
===================================================================
RCS file: patches/patch-include_config_h_in
diff -N patches/patch-include_config_h_in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ patches/patch-include_config_h_in	30 Sep 2002 18:02:04 -0000
@@ -0,0 +1,13 @@
+$OpenBSD$
+--- include/config.h.in.orig	Mon May 27 07:18:43 2002
++++ include/config.h.in	Mon Sep 30 11:02:00 2002
+@@ -9,6 +9,9 @@
+ /* path where configuration files get installed by default */
+ #define CONFPATH "/usr/local/ups/etc"
+ 
++/* path where CGI configuration files are looked for by a chrooted Apache */
++#define CGICONFPATH "/conf/nut"
++
+ /* state files created by the drivers go here */
+ #define STATEPATH "/var/state/ups"
+ 
Index: pkg/DEINSTALL
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/pkg/DEINSTALL,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 DEINSTALL
--- pkg/DEINSTALL	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ pkg/DEINSTALL	30 Sep 2002 03:15:29 -0000
@@ -1,25 +1,37 @@
 #!/bin/sh
-# $OpenBSD: DEINSTALL,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
 #
-# nut de-installation
+# $OpenBSD$
+#
 
 set -e
 PATH=/bin:/usr/bin:/sbin:/usr/sbin
-PREFIX=${PKG_PREFIX:-/usr/local}
-CONFIG_DIR=${SYSCONFDIR}/nut
 
-if [ -d ${CONFIG_DIR} ]; then
-    echo
-    echo "+---------------"
-    echo "| To completely deinstall the $1 package you need to perform"
-    echo "| these steps as root:"
-    echo "|"
-    echo "|           rm -rf ${CONFIG_DIR}"
-    echo "|"
-    echo "| Do not do this if you plan on re-installing $1"
-    echo "| at some future time."
-    echo "+---------------"
-    echo
-fi
+FILES='
+hosts.conf
+multimon.conf
+ups.conf
+upssched.conf
+upsset.conf
+upsmon.conf
+upsd.conf
+upsd.users
+'
+
+echo
+echo "+--------------- $1"
+echo "| To fully remove $1 from your system you should also"
+echo "| remove the configuration files from the ${SYSCONFDIR} directory."
+echo "| Remove the directories in which the files reside as well if empty."
+echo "|"
+echo "| If you are planning on installing $1 again in the future"
+echo "| you can leave it as it is."
+echo "|"
+echo "| FYI, the following configuration files belong to this package:"
+echo "|"
+for f in ${FILES}; do
+	echo "| ${SYSCONFDIR}/$f"
+done
+echo "+--------------- $1"
+echo
 
 exit 0
Index: pkg/DEINSTALL-cgi
===================================================================
RCS file: pkg/DEINSTALL-cgi
diff -N pkg/DEINSTALL-cgi
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg/DEINSTALL-cgi	30 Sep 2002 19:51:39 -0000
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# $OpenBSD$
+#
+
+set -e
+PREFIX=${PKG_PREFIX:-/usr/local}
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+
+FILES='
+hosts.conf
+multimon.conf
+upsset.conf
+'
+
+WEBCONFDIR=${PREFIX}/conf/nut
+
+echo
+echo "+--------------- $1"
+echo "| To fully remove $1 from your system you should also"
+echo "| remove the configuration files from the ${WEBCONFDIR} directory."
+echo "| Remove the directories in which the files reside as well if empty."
+echo "|"
+echo "| If you are planning on installing $1 again in the future"
+echo "| you can leave it as it is."
+echo "|"
+echo "| FYI, the following configuration files belong to this package:"
+echo "|"
+for f in ${FILES}; do
+	echo "| ${WEBCONFDIR}/$f"
+done
+echo "+--------------- $1"
+echo
+
+exit 0
Index: pkg/DESCR
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/pkg/DESCR,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 DESCR
--- pkg/DESCR	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ pkg/DESCR	30 Sep 2002 20:09:10 -0000
@@ -8,7 +8,4 @@
 coordinate shutdowns with the machine that is physically attached to
 the UPS.
 
-The 'cgi' flavor adds CGI support so that one may put up web
-statistics about the power status.
-
 WWW: ${HOMEPAGE}
Index: pkg/DESCR-cgi
===================================================================
RCS file: pkg/DESCR-cgi
diff -N pkg/DESCR-cgi
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg/DESCR-cgi	30 Sep 2002 16:33:27 -0000
@@ -0,0 +1,4 @@
+A set of CGI scripts that can query a Nut based UPS and display information
+and statistics on a web page.
+
+WWW: ${HOMEPAGE}
Index: pkg/INSTALL
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/pkg/INSTALL,v
retrieving revision 1.2
diff -u -r1.2 INSTALL
--- pkg/INSTALL	26 Apr 2002 03:35:34 -0000	1.2
+++ pkg/INSTALL	30 Sep 2002 19:32:46 -0000
@@ -1,89 +1,119 @@
 #!/bin/sh
-# $OpenBSD: INSTALL,v 1.2 2002/04/26 03:35:34 pvalchev Exp $
 #
-# Pre/post-installation setup of nut
+# $OpenBSD$
+
+P_NAME=nut
+
+DIRS='
+.
+'
+
+FILES='
+ups.conf
+upssched.conf
+'
+
+PRIVATE_FILES='
+upsmon.conf
+upsd.conf
+upsd.users
+'
 
-# exit on errors, use a sane path and install prefix
-#
 set -e
-PATH=/bin:/usr/bin:/sbin:/usr/sbin
 PREFIX=${PKG_PREFIX:-/usr/local}
-CONFIG_DIR=${SYSCONFDIR}/nut
-CONFIG_FILES="hosts.conf multimon.conf"
-PRIVATE_FILES="upsd.conf upsmon.conf upsset.passwd"
-SAMPLE_DIR=$PREFIX/share/examples/nut
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
 
-# Function: tell the user what s/he needs to do to use the port just installed
-#
-do_notice()
-{
-    echo
-    echo "+---------------"
-    echo "| The existing $1 configuration files in ${CONFIG_DIR},"
-    echo "| have NOT been changed.  You may want to compare them to the"
-    echo "| current sample files in ${SAMPLE_DIR}"
-    echo "| and update your configuration as needed."
-    echo "|"
-    echo "| Also see $PREFIX/share/doc/nut/README.OpenBSD"
-    echo "| for startup configuration."
-    echo "|"
-    echo "| If you have built nut with CGIs, they can be found in:"
-    echo "| $PREFIX/libexec/nut"
-    echo "+---------------"
-    echo
-}
+do_post() {
 
-# Function: install the nut configuration files from the samples
-#
-do_install()
-{
-    install -d -o root -g wheel -m 755 ${CONFIG_DIR}
-    for each in ${CONFIG_FILES}; do
-	install -o root -g wheel -m 644 ${SAMPLE_DIR}/$each.sample ${CONFIG_DIR}/$each
-    done
-    for each in ${PRIVATE_FILES}; do
-	install -o root -g wheel -m 600 ${SAMPLE_DIR}/$each.sample ${CONFIG_DIR}/$each
-    done
-    echo
-    echo "+---------------"
-    echo "| The $1 configuration files in ${CONFIG_DIR},"
-    echo "| have been installed.  Please view these files and change"
-    echo "|"
-    echo "| Also see $PREFIX/share/doc/nut/README.OpenBSD"
-    echo "| for startup configuration."
-    echo "| the configuration to meet your needs before running the daemons."
-    echo "|"
-    echo "| If you have built nut with CGIs, they can be found in:"
-    echo "| $PREFIX/libexec/nut"
-    echo "+---------------"
-    echo
+	DEST_PFX=${SYSCONFDIR}
+	SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
+
+	echo 
+	echo "+--------------- ${P_NAME}"
 
+	# install dirs if neccessary
+	for d in ${DIRS}; do
+		if [ ! -d "${DEST_PFX}/$d" ]; then
+			install -d ${DEST_PFX}/$d
+		fi
+	done
+
+	# install or take note of existing config files
+	for f in ${FILES}; do
+		if [ -f "${DEST_PFX}/$f" ]; then
+			OLD_CONFS="${OLD_CONFS} $f"
+		else
+			if ! install -m 644 ${SOURCE_PFX}/$f.sample ${DEST_PFX}/$f; then
+				echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
+				exit 1
+			fi
+			NEW_CONFS="${NEW_CONFS} $f"
+		fi
+	done
+
+	# install or take note of existing config files (yes again)
+	for f in ${PRIVATE_FILES}; do
+		if [ -f "${DEST_PFX}/$f" ]; then
+			OLD_CONFS="${OLD_CONFS} $f"
+		else
+			if ! install -m 600 ${SOURCE_PFX}/$f.sample ${DEST_PFX}/$f; then
+				echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
+				exit 1
+			fi
+			NEW_CONFS="${NEW_CONFS} $f"
+		fi
+	done
+
+	# print status report
+	if [ -n "${NEW_CONFS}" ]; then
+		echo "| The following NEW configuration files have been installed:"
+		echo "|"
+		for f in ${NEW_CONFS}; do
+			echo "| ${DEST_PFX}/$f"
+		done 
+	fi
+	
+	if [ -n "${OLD_CONFS}" ]; then
+		if [ -n "${NEW_CONFS}" ]; then
+			echo "|"
+		fi
+		echo "| The following OLD configuration files were found and have NOT been"
+		echo "| overwritten:"
+		echo "|"
+		for f in ${OLD_CONFS}; do
+			echo "| ${DEST_PFX}/$f"
+		done
+		echo "|"
+		echo "| You should however manually compare them to their equivalents in"
+		echo "|"
+		echo "| ${SOURCE_PFX}"
+		echo "|"
+		echo "| and update your configuration as needed." 
+	fi
+	echo "+--------------- ${P_NAME}"
+	echo 
 }
 
+
 # verify proper execution
 #
 if [ $# -ne 2 ]; then
-    echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
-    exit 1
+	echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+	exit 1
 fi
 
 # Verify/process the command
 #
 case $2 in
-    PRE-INSTALL)
-	: nothing to pre-install for this port
-	;;
-    POST-INSTALL)
-	if [ -d $CONFIG_DIR ]; then
-	    do_notice $1
-	else
-	    do_install $1
-	fi
-	;;
-    *)
-	echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
-	exit 1
-	;;
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		do_post
+		;;
+	*)
+		echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+		exit 1
+		;;
 esac
 
 exit 0
Index: pkg/INSTALL-cgi
===================================================================
RCS file: pkg/INSTALL-cgi
diff -N pkg/INSTALL-cgi
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg/INSTALL-cgi	30 Sep 2002 19:42:19 -0000
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# $OpenBSD$
+
+P_NAME=nut-cgi
+
+DIRS='
+'
+
+FILES='
+hosts.conf
+multimon.conf
+upsset.conf
+'
+
+set -e
+PREFIX=${PKG_PREFIX:-/usr/local}
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+
+do_post() {
+
+	DEST_PFX=${PREFIX}/conf/nut
+	SOURCE_PFX=${PREFIX}/conf/nut
+
+	echo 
+	echo "+--------------- ${P_NAME}"
+
+	# install dirs if neccessary
+	for d in ${DIRS}; do
+		if [ ! -d "${DEST_PFX}/$d" ]; then
+			install -d ${DEST_PFX}/$d
+		fi
+	done
+
+	# install or take note of existing config files
+	for f in ${FILES}; do
+		if [ -f "${DEST_PFX}/$f" ]; then
+			OLD_CONFS="${OLD_CONFS} $f"
+		else
+			if ! install -m 644 ${SOURCE_PFX}/$f.sample ${DEST_PFX}/$f; then
+				echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
+				exit 1
+			fi
+			NEW_CONFS="${NEW_CONFS} $f"
+		fi
+	done
+
+	# print status report
+	if [ -n "${NEW_CONFS}" ]; then
+		echo "| The following NEW configuration files have been installed:"
+		echo "|"
+		for f in ${NEW_CONFS}; do
+			echo "| ${DEST_PFX}/$f"
+		done 
+	fi
+	
+	if [ -n "${OLD_CONFS}" ]; then
+		if [ -n "${NEW_CONFS}" ]; then
+			echo "|"
+		fi
+		echo "| The following OLD configuration files were found and have NOT been"
+		echo "| overwritten:"
+		echo "|"
+		for f in ${OLD_CONFS}; do
+			echo "| ${DEST_PFX}/$f"
+		done
+		echo "|"
+		echo "| You should however manually compare them to their equivalents in"
+		echo "|"
+		echo "| ${SOURCE_PFX}/*.sample"
+		echo "|"
+		echo "| and update your configuration as needed." 
+	fi
+	echo "+--------------- ${P_NAME}"
+	echo 
+}
+
+
+# verify proper execution
+#
+if [ $# -ne 2 ]; then
+	echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+	exit 1
+fi
+
+# Verify/process the command
+#
+case $2 in
+	PRE-INSTALL)
+		;;
+	POST-INSTALL)
+		do_post
+		;;
+	*)
+		echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+		exit 1
+		;;
+esac
+
+exit 0
Index: pkg/MESSAGE
===================================================================
RCS file: pkg/MESSAGE
diff -N pkg/MESSAGE
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg/MESSAGE	11 Oct 2002 23:57:37 -0000
@@ -0,0 +1,16 @@
++--------------- nut
+| Using the Nut package in OpenBSD environment:
+|
+| Once you have the config files under /etc/nut set up properly, the
+| following block can be added to your /etc/rc.local file to start nut.
+|
+| # Start Nut
+| if [ -x /usr/local/bin/upsdrvctl ]; then
+|     echo -n ' nut'
+|     /usr/local/bin/upsdrvctl start > /dev/null
+|     /usr/local/sbin/upsd > /dev/null 2>&1
+|     /usr/local/sbin/upsmon > /dev/null
+| fi
+|
+| You may also be interested in the "-i" flag to upsd, see upsd(8).
++--------------- nut
Index: pkg/PFRAG.cgi
===================================================================
RCS file: pkg/PFRAG.cgi
diff -N pkg/PFRAG.cgi
--- pkg/PFRAG.cgi	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,6 +0,0 @@
-_(_at_)_comment $OpenBSD: PFRAG.cgi,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
-libexec/nut/multimon.cgi
-libexec/nut/upsimage.cgi
-libexec/nut/upsset.cgi
-libexec/nut/upsstats.cgi
-_(_at_)_dirrm libexec/nut
Index: pkg/PLIST
===================================================================
RCS file: /pub/cvs/ports/sysutils/nut/pkg/PLIST,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 PLIST
--- pkg/PLIST	6 Feb 2001 22:24:03 -0000	1.1.1.1
+++ pkg/PLIST	30 Sep 2002 19:57:59 -0000
@@ -1,59 +1,120 @@
-_(_at_)_comment $OpenBSD: PLIST,v 1.1.1.1 2001/02/06 22:24:03 nate Exp $
+_(_at_)_comment $OpenBSD$
+bin/apcsmart
+bin/bcmxcp
+bin/belkin
+bin/bestferrups801-807
+bin/bestuferrups
+bin/bestups
+bin/cyberpower
+bin/everups
+bin/fentonups
+bin/genericups
+bin/hp
+bin/masterguard
+bin/mge-ellipse
+bin/mge-utalk
+bin/microdowell
+bin/newapc
+bin/powercom
+bin/sec
+bin/tripplite
 bin/upsc
 bin/upscmd
 bin/upsct
 bin/upsct2
+bin/upsdrvctl
 bin/upslog
+bin/victronups
+man/man5/hosts.conf.5
+man/man5/multimon.conf.5
+man/man5/ups.conf.5
+man/man5/upsd.conf.5
+man/man5/upsd.users.5
+man/man5/upsmon.conf.5
+man/man5/upssched.conf.5
+man/man5/upsset.conf.5
 man/man8/apcsmart.8
+man/man8/bcmxcp.8
+man/man8/belkin.8
+man/man8/bestferrups801-807.8
+man/man8/bestuferrups.8
+man/man8/bestups.8
+man/man8/cyberpower.8
+man/man8/everups.8
+man/man8/fentonups.8
+man/man8/genericups.8
+man/man8/hp.8
+man/man8/masterguard.8
+man/man8/mge-ellipse.8
+man/man8/mge-utalk.8
+man/man8/microdowell.8
+man/man8/multimon.cgi.8
+man/man8/newapc.8
+man/man8/nutupsdrv.8
 man/man8/powercom.8
-sbin/apcsmart
-sbin/belkin
-sbin/bestfort
-sbin/bestuferrups
-sbin/bestups
-sbin/engetron
-sbin/fentonups
-sbin/genericups
-sbin/ipt-anzen
-sbin/mustekups
-sbin/newapc
-sbin/optiups
-sbin/powercom
-sbin/toshiba1500
-sbin/ups-trust425+625
+man/man8/powernet.8
+man/man8/sec.8
+man/man8/snmp-ups.8
+man/man8/tripplite.8
+man/man8/upsc.8
+man/man8/upscmd.8
+man/man8/upsct.8
+man/man8/upsct2.8
+man/man8/upsd.8
+man/man8/upsdrvctl.8
+man/man8/upsimage.cgi.8
+man/man8/upslog.8
+man/man8/upsmon.8
+man/man8/upssched.8
+man/man8/upsset.cgi.8
+man/man8/upsstats.cgi.8
+man/man8/victronups.8
 sbin/upsd
 sbin/upsmon
 sbin/upssched
-sbin/victronups
-share/doc/nut/Changes.trust
 share/doc/nut/FAQ
-share/doc/nut/README.OpenBSD
-share/doc/nut/access.txt
-share/doc/nut/belkin.txt
+_(_at_)_comment share/doc/nut/README.OpenBSD
 share/doc/nut/big-servers.txt
+share/doc/nut/cables/apc.txt
+share/doc/nut/cables/ge-imv-victron.txt
+share/doc/nut/cables/imv.txt
+share/doc/nut/cables/mgeups.txt
 share/doc/nut/cables/powerware.txt
-share/doc/nut/cables/victron.txt
+share/doc/nut/cables/repotec.txt
+share/doc/nut/cables/sms.txt
+share/doc/nut/chroot.txt
 share/doc/nut/commands.txt
+share/doc/nut/config-files.txt
 share/doc/nut/configure.txt
 share/doc/nut/data-room.txt
-share/doc/nut/dummyups.txt
-share/doc/nut/generic-ups.txt
-share/doc/nut/model-arguments.txt
-share/doc/nut/new-modules.txt
+share/doc/nut/design.txt
+share/doc/nut/developers.txt
+share/doc/nut/driver.list
+share/doc/nut/drivers/README
+share/doc/nut/drivers/belkin.txt
+share/doc/nut/drivers/bestferrups801-807.txt
+share/doc/nut/drivers/dummycons.txt
+share/doc/nut/drivers/dummyups.txt
+share/doc/nut/drivers/generic-ups.txt
+share/doc/nut/drivers/mge-ellipse.txt
+share/doc/nut/drivers/mge-utalk.txt
+share/doc/nut/drivers/multilink.txt
+share/doc/nut/drivers/powercom.txt
+share/doc/nut/drivers/powernet.txt
+share/doc/nut/drivers/snmp-ups.txt
+share/doc/nut/new-drivers.txt
 share/doc/nut/pager.txt
-share/doc/nut/powercom.txt
 share/doc/nut/protocol.txt
 share/doc/nut/shutdown.txt
 share/doc/nut/tips.txt
 share/doc/nut/todo.txt
-share/doc/nut/ups-trust425+625.txt
 share/doc/nut/upssched.txt
-share/examples/nut/hosts.conf.sample
-share/examples/nut/multimon.conf.sample
+share/examples/nut/ups.conf.sample
 share/examples/nut/upsd.conf.sample
+share/examples/nut/upsd.users.sample
 share/examples/nut/upsmon.conf.sample
-share/examples/nut/upsset.passwd.sample
-%%cgi%%
+share/examples/nut/upssched.conf.sample
 @dirrm share/examples/nut
+_(_at_)_dirrm share/doc/nut/drivers
 @dirrm share/doc/nut/cables
 @dirrm share/doc/nut
Index: pkg/PLIST-cgi
===================================================================
RCS file: pkg/PLIST-cgi
diff -N pkg/PLIST-cgi
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ pkg/PLIST-cgi	30 Sep 2002 19:42:59 -0000
@@ -0,0 +1,9 @@
+_(_at_)_comment $OpenBSD$
+cgi-bin/nut/multimon.cgi
+cgi-bin/nut/upsimage.cgi
+cgi-bin/nut/upsset.cgi
+cgi-bin/nut/upsstats.cgi
+conf/nut/hosts.conf.sample
+conf/nut/multimon.conf.sample
+conf/nut/upsset.conf.sample
+_(_at_)_dirrm cgi-bin/nut

Visit your host, monkey.org